{
  "$schema": "https://json.schemastore.org/tsconfig",
  "display": "Node 16",

  "compilerOptions": {
    "lib": ["es2021"],
    "module": "commonjs",
    "target": "es2021",
    "rootDir": "src",

    "esModuleInterop": true,
    "skipLibCheck": true,

    "allowUnreachableCode": false,
    "allowJs": false,
    "allowUnusedLabels": false,
    "strict": true,
    "alwaysStrict": true,
    "forceConsistentCasingInFileNames": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitAny": true,
    "noImplicitOverride": true,
    "noImplicitReturns": true,
    "isolatedModules": true
  },
  "include": [
    "src"
  ],
  "exclude": [
    "bin"
  ]
}
